Subject: bug#51666: 28.0.60; comint-password-prompt-regexp too restrictive (again)

From: Stephen Berman <[email-masked]>
Date: Mon, 08 Nov 2021 11:22:28 +0100

On Sun, 07 Nov 2021 21:33:33 +0100 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> On one of my systems, when using ssh in shell-mode (M-x shell), the
>> password prompt does not appear in the minibuffer but only in the
>> *shell* buffer directly under the ssh invocation, and the password is
>> not hidden when it's entered.  The password prompt has this form:
>>
>> (user@host) Password:
>>
>> and comint-password-prompt-regexp fails to match it.  By contrast,
>> eshell-password-prompt-regexp does match this prompt.  This is with
>> openssh-8.6p1.  The fix in bug#43003 doesn't help here.
>
> The following patch should fix the problem, but I'm a bit wary about
> pushing it to Emacs 28, since these things may have unintended side
> effects.
>
> So I've pushed it to Emacs 29 instead.

FTR, I confirm that this patch fixes the problem for me.  Thanks!

Steve Berman